python-glance-store (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed use-skipTest-not-just-skip.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 13:56:38 +0100

python-glance-store (5.2.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1048440).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 10:51:36 +0100

python-glance-store (5.2.0-3) unstable; urgency=medium

  * Add use-skipTest-not-just-skip.patch (Closes: #1124198).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Dec 2025 11:36:07 +0100

python-glance-store (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 18:14:31 +0200

python-glance-store (5.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:59:13 +0200

python-glance-store (4.9.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:30:42 +0100

python-glance-store (4.9.1-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 11:19:30 +0100

python-glance-store (4.8.1-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090506).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:44:21 +0100

python-glance-store (4.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:03:00 +0200

python-glance-store (4.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 10:34:40 +0200

python-glance-store (4.7.0-4) unstable; urgency=medium

  * Remove build-depends on python3-boto (Closes: #1069646).

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Apr 2024 14:12:33 +0200

python-glance-store (4.7.0-3) unstable; urgency=medium

  * Remove extraneous dependency on python3-six (Closes: #1068970).

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 13:50:10 +0200

python-glance-store (4.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 09:09:35 +0200

python-glance-store (4.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Feb 2024 10:16:29 +0100

python-glance-store (4.6.1-3) unstable; urgency=medium

  * autopkgtest: blacklist TestConnectorBase.test_factory_3 that is failing on
    ppc64el and s390x.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Nov 2023 16:20:36 +0100

python-glance-store (4.6.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 21:38:57 +0200

python-glance-store (4.6.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 10:47:22 +0200

python-glance-store (4.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 16:15:05 +0200

python-glance-store (4.3.1-4) unstable; urgency=medium

  * Cleans better (Closes: #1048440).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 10:50:46 +0200

python-glance-store (4.3.1-3) unstable; urgency=medium

  * New upstream release:
    - include CVE-2023-2088 patch.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 10:36:54 +0200

python-glance-store (4.3.0-2) experimental; urgency=medium

  * CVE-2023-2088: Unauthorized volume access through deleted volume
    attachments. Applied upstream patch: Add force to os-brick disconnect.
    (Closes: #1035978).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 May 2023 08:46:22 +0200

python-glance-store (4.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed dependency versions satisfied in Bookworm.
  * Removed OverflowError_running_on_32-bit_systems.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Feb 2023 14:58:25 +0100

python-glance-store (4.1.0-3) unstable; urgency=medium

  * Add OverflowError_running_on_32-bit_systems.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Oct 2022 19:58:18 +0200

python-glance-store (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 09:07:49 +0200

python-glance-store (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 17:28:59 +0200

python-glance-store (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 12:10:35 +0100

python-glance-store (3.0.0-1) experimental; urgency=medium

  * New upstream releasse.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Feb 2022 16:58:57 +0100

python-glance-store (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:27:29 +0200

python-glance-store (2.7.0-1) experimental; urgency=medium

  [ Mickael Asseline ]
  * New upstream release.
  * Added myself in copyright and uploaders.
  * Added python3-retrying to build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 10:15:46 +0200

python-glance-store (2.5.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 08:42:02 +0200

python-glance-store (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 16:17:54 +0100

python-glance-store (2.3.0-4) unstable; urgency=medium

  * glance-store-common.preinst: remove /etc/glance/rootwrap.conf, if it was
    an unmodified filed by the glance-common postinst, to avoid dpkg
    interactive prompting. (Closes: #984613)

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Mar 2021 10:58:01 +0100

python-glance-store (2.3.0-3) unstable; urgency=medium

  * Correctly install files in /etc/glance.
  * Standards-Version: 4.5.0.
  * Use debhelper-compat = 11.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 13:52:38 +0200

python-glance-store (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 23:10:36 +0200

python-glance-store (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 14:38:18 +0200

python-glance-store (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 10:56:38 +0200

python-glance-store (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-boto3 as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 17:34:50 +0200

python-glance-store (1.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:13:32 +0200

python-glance-store (1.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2019 09:27:15 +0200

python-glance-store (1.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 22:12:07 +0200

python-glance-store (0.28.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:23:40 +0200

python-glance-store (0.28.0-2) experimental; urgency=medium

  * Do not manage alternatives.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 11:36:05 +0100

python-glance-store (0.28.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed fix-python3-compatibility-ceph.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 22:31:47 +0100

python-glance-store (0.26.1-4) unstable; urgency=medium

  * Update patch (already merged into master)

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 22 Feb 2019 11:27:37 +0100

python-glance-store (0.26.1-3) unstable; urgency=medium

  * Add fix-python3-compatibility-ceph.patch
  * d/control: Add me to uploaders field
  * d/copyright: Add me to copyright

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 06 Feb 2019 18:45:06 +0100

python-glance-store (0.26.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 00:08:33 +0200

python-glance-store (0.26.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python3 when building sphinx doc.
  * Do not run py3 tests because of https://bugs.python.org/issue33802.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 16:24:14 +0200

python-glance-store (0.23.0-3) unstable; urgency=medium

  * Python 3 now has priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 20:24:20 +0000

python-glance-store (0.23.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:31 +0000

python-glance-store (0.23.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Watch file using github tag over HTTPS.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2018 08:35:38 +0000

python-glance-store (0.22.0-2) unstable; urgency=medium

  * Only modify /etc/glance if files/dirs exist (Closes: #880087).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 10:13:46 +0000

python-glance-store (0.22.0-1) experimental; urgency=medium

  [ James Page ]
  * d/glance-store-common.*,control,glance_sudoers: Add binary package for
    shared rootwrap configuration, associated filters and sudoers.d
    configuration (LP: #1609733).

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Drop conf.py patch.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Oct 2017 11:22:04 +0200

python-glance-store (0.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version is 3.9.8 now (no change)
  * Fixed package description typo (Closes: #820616)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * Removed Mock_swiftclient_s_functions_in_tests.patch
    (Applied upstream)

 -- Ondřej Nový <novy@ondrej.org>  Thu, 19 May 2016 21:57:40 +0200

python-glance-store (0.13.0-3) unstable; urgency=medium

  * Added Mock_swiftclient_s_functions_in_tests.patch to allow swiftclient
    >= 3.x to work.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 16:14:31 +0000

python-glance-store (0.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:50:37 +0000

python-glance-store (0.13.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Add python-cinderclient and python-oslosphinx to BDs.
  * d/p/drop-sphinx-git.patch, d/control: Drop use of git from sphinx config.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 12:19:02 +0000

python-glance-store (0.12.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).
  * Using update-alternatives for /usr/bin/glance-rootwrap.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 19:54:18 +0000

python-glance-store (0.10.0-2) experimental; urgency=medium

  * Added Python 3 support.
  * Fixed missing pymongo build-depends-indep.
  * VCS urls using https.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Feb 2016 12:48:07 +0000

python-glance-store (0.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.
  * Reactivate failed tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2016 08:31:34 +0000

python-glance-store (0.9.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Black list 9 more unit tests:
    - test_swift_store.TestStoreAuthV1.test_read_acl_public
    - test_swift_store.TestStoreAuthV1.test_read_acl_tenants
    - test_swift_store.TestStoreAuthV1.test_write_acls
    - test_swift_store.TestStoreAuthV2.test_read_acl_public
    - test_swift_store.TestStoreAuthV2.test_read_acl_tenants
    - test_swift_store.TestStoreAuthV2.test_write_acls
    - test_swift_store.TestStoreAuthV3.test_read_acl_public
    - test_swift_store.TestStoreAuthV3.test_read_acl_tenants
    - test_swift_store.TestStoreAuthV3.test_write_acls

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 09:35:58 +0000

python-glance-store (0.9.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Reviewed (build-)depends for this release.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 12:21:15 +0100

python-glance-store (0.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Reviewed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jul 2015 23:05:43 +0200

python-glance-store (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Dropped requirements.txt patch (which was removing ordereddict).

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Jul 2015 02:19:20 +0200

python-glance-store (0.4.0-3) unstable; urgency=medium

  * Made build reproducible (Closes: #788502), thanks to Juan Picca.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2015 11:13:35 +0200

python-glance-store (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Ensure unit test failures fail the package build.
  * Update watch file to use Debian pypi redirector.
  * Align dependency version requirements with Ubuntu and upstream.

 -- James Page <jamespage@debian.org>  Fri, 12 Jun 2015 10:07:40 +0100

python-glance-store (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Mar 2015 13:49:47 +0100

python-glance-store (0.1.10-2) experimental; urgency=medium

  * Allow unit tests to fail.
  * Added ordereddict to pydistoverrides.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Dec 2014 17:06:40 +0800

python-glance-store (0.1.10-1) unstable; urgency=medium

  * New upstream release.
  * Drops fix-tests.patch as it was applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Dec 2014 09:07:56 +0000

python-glance-store (0.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Do not run the unit tests in Python 2.6.
  * Added python-mox as build-depends.
  * Added fix-tests.patch (Closes: #762115).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2014 15:13:49 +0800

python-glance-store (0.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #760537)

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Sep 2014 10:54:04 +0800
